Bug 90210 - Add a DatabaseConnection.getJDBCDriver() method
Add a DatabaseConnection.getJDBCDriver() method
Status: RESOLVED FIXED
Product: db
Classification: Unclassified
Component: Code
6.x
All All
: P3 (vote)
: 6.x
Assigned To: Jiri Rechtacek
issues@db
http://wiki.netbeans.org/wiki/view/VW...
: API, API_REVIEW_FAST
Depends on:
Blocks: 119644
  Show dependency treegraph
 
Reported: 2006-11-28 17:23 UTC by Andrei Badea
Modified: 2009-05-14 10:35 UTC (History)
6 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
a proposed patch (10.97 KB, patch)
2009-05-06 15:37 UTC, Jiri Rechtacek
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Andrei Badea 2006-11-28 17:23:45 UTC
Currently there is no easy way to get the JDBCDriver instance that a
DatabaseConnection will use / used to connect to a database. A
DatabaseConnection.getJDBCDriver() method should be added.

Will be used by the deployment of JDBC drivers to the application server.
Comment 1 John Baker 2007-03-29 01:15:53 UTC
I heard a workaround was determined and so adding getJDBCDriver() is no longer
needed.   This issue will be closed.  If the method is still needed then this
issue can be reopened
Comment 2 Jan Stola 2007-03-29 10:54:09 UTC
Reopening - I am not sure what workaround has jbaker in mind. If it was 
something like
JDBCDriverManager.getDefault().getDrivers(connection.getDriverClass())[0]
then this workaround existed at the time this issue was filled and therefore 
changes nothing on its status. It still would be nice to have a clean way to 
obtain the driver from the connection.
Comment 3 Petr Jiricka 2009-04-07 15:39:02 UTC
I am changing this to a P3 defect, as it blocks another P3 defect (issue 119644). It would be great to have this
implemented for 6.7. Thanks.
Comment 4 Jiri Rechtacek 2009-05-06 15:37:08 UTC
Created attachment 81660 [details]
a proposed patch
Comment 5 Jiri Rechtacek 2009-05-06 15:38:13 UTC
Please review my changes.
Comment 6 Jiri Rechtacek 2009-05-13 11:08:48 UTC
I'm going to integrate it tomorrow.
Comment 7 Jiri Rechtacek 2009-05-14 10:35:17 UTC
integrated in core-main/rev/c15a86ef59d3


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo